FreeMat

- Main Page
- Related Pages

vtkGaussianCubeReader

Section: Visualization Toolkit IO Classes

# Usage

vtkGaussianCubeReader is a source object that reads ASCII files following the description in http://www.gaussian.com/00000430.htm The FileName must be specified.

.SECTION Thanks Dr. Jean M. Favre who developed and contributed this class.

To create an instance of class vtkGaussianCubeReader, simply invoke its constructor as follows

      obj = vtkGaussianCubeReader

# Methods

The class vtkGaussianCubeReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGaussianCubeReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGaussianCubeReader = obj.NewInstance ()`
- `vtkGaussianCubeReader = obj.SafeDownCast (vtkObject o)`
- `vtkTransform = obj.GetTransform ()`
- `obj.SetFileName (string )`
- `string = obj.GetFileName ()`
- `vtkImageData = obj.GetGridOutput ()`